### Method

# ECal Client get_timezone_sync

since: 3.2

#### Declaration [src]

    gboolean
    e_cal_client_get_timezone_sync (
      ECalClient* client,
      const gchar* tzid,
      ICalTimezone** out_zone,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Retrieves a timezone object from the calendar backend. This object is owned by the `client`, thus do not free it.

Available since: 3.2

#### Parameters

`tzid`

  Type: `const gchar*`

  ID of the timezone to retrieve.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_zone`

  Type: `None`

  Return value for the timezone.

  The argument will be set by the function.
  The returned data is owned by the instance.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.